- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: c3ba1edd-6d76-4749-9ed4-94618f9355d3
    creation_time: 2023-02-17T12:13:39.154756Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/egcd.c
      input_file_hashes:
        c/nla-digbench/egcd.c: 01ca8c8e30ceefcd4f6e4832a31edd1224d925e8551df750bd60cc922035a838
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/egcd.c
    file_hash: 01ca8c8e30ceefcd4f6e4832a31edd1224d925e8551df750bd60cc922035a838
    line: 33
    column: 0
    function: main
  loop_invariant:
    string: p*s-r*q == 1 && a == y*r+x*p && b == x*q+y*s
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 16c48944-a163-4825-9260-fd039274aea2
    creation_time: 2023-02-17T12:13:39.155045Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/egcd.c
      input_file_hashes:
        c/nla-digbench/egcd.c: 01ca8c8e30ceefcd4f6e4832a31edd1224d925e8551df750bd60cc922035a838
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/egcd.c
    file_hash: 01ca8c8e30ceefcd4f6e4832a31edd1224d925e8551df750bd60cc922035a838
    line: 34
    column: 0
    function: main
  location_invariant:
    string: 1 == p*s-r*q
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 56bf5f81-f067-43b0-8ba9-a171d7219954
    creation_time: 2023-02-17T12:13:39.155142Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/egcd.c
      input_file_hashes:
        c/nla-digbench/egcd.c: 01ca8c8e30ceefcd4f6e4832a31edd1224d925e8551df750bd60cc922035a838
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/egcd.c
    file_hash: 01ca8c8e30ceefcd4f6e4832a31edd1224d925e8551df750bd60cc922035a838
    line: 35
    column: 0
    function: main
  location_invariant:
    string: a == y*r+x*p
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: fa060fc4-9744-4f6c-a387-3105a1659397
    creation_time: 2023-02-17T12:13:39.155243Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/egcd.c
      input_file_hashes:
        c/nla-digbench/egcd.c: 01ca8c8e30ceefcd4f6e4832a31edd1224d925e8551df750bd60cc922035a838
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/egcd.c
    file_hash: 01ca8c8e30ceefcd4f6e4832a31edd1224d925e8551df750bd60cc922035a838
    line: 36
    column: 0
    function: main
  location_invariant:
    string: b == x*q+y*s
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 3b3cc8a2-4d44-417f-afb6-2fd961dabb22
    creation_time: 2023-02-17T12:13:39.155344Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/egcd.c
      input_file_hashes:
        c/nla-digbench/egcd.c: 01ca8c8e30ceefcd4f6e4832a31edd1224d925e8551df750bd60cc922035a838
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/egcd.c
    file_hash: 01ca8c8e30ceefcd4f6e4832a31edd1224d925e8551df750bd60cc922035a838
    line: 52
    column: 0
    function: main
  location_invariant:
    string: a-b == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 72222c7a-d391-409d-99c7-052504ee78d4
    creation_time: 2023-02-17T12:13:39.155429Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/egcd.c
      input_file_hashes:
        c/nla-digbench/egcd.c: 01ca8c8e30ceefcd4f6e4832a31edd1224d925e8551df750bd60cc922035a838
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/egcd.c
    file_hash: 01ca8c8e30ceefcd4f6e4832a31edd1224d925e8551df750bd60cc922035a838
    line: 53
    column: 0
    function: main
  location_invariant:
    string: p*x+r*y-b == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: c879cdc7-25e2-4ffb-b12c-f99c1aa9ef01
    creation_time: 2023-02-17T12:13:39.155512Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/egcd.c
      input_file_hashes:
        c/nla-digbench/egcd.c: 01ca8c8e30ceefcd4f6e4832a31edd1224d925e8551df750bd60cc922035a838
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/egcd.c
    file_hash: 01ca8c8e30ceefcd4f6e4832a31edd1224d925e8551df750bd60cc922035a838
    line: 54
    column: 0
    function: main
  location_invariant:
    string: q*r-p*s+1 == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 5a1ba0cf-d38e-4243-8856-39c1a85276a6
    creation_time: 2023-02-17T12:13:39.155594Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/egcd.c
      input_file_hashes:
        c/nla-digbench/egcd.c: 01ca8c8e30ceefcd4f6e4832a31edd1224d925e8551df750bd60cc922035a838
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/egcd.c
    file_hash: 01ca8c8e30ceefcd4f6e4832a31edd1224d925e8551df750bd60cc922035a838
    line: 55
    column: 0
    function: main
  location_invariant:
    string: q*x+s*y-b == 0
    type: assertion
    format: C

